/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJDBCConnectionsInfoDelegate.as 18499 2009-09-03 14:25:10Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.admin.classloader.business {
import com.adobe.cairngorm.business.ServiceLocator;

import mx.controls.Alert;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;

/**
 * @author Florent Benoit
 */
public class GetSystemResourcesDelegate extends AbsDelegateResponder implements IGetSystemResourcesDelegate {


    public function getSystemResources(resourceName : String) : void {
        // find service
        var service : Object = ServiceLocator.getInstance().getRemoteObject("classLoaderService");

        // call service
        var call : Object = service.getSystemResources(resourceName);

        // add responder
        call.addResponder(this.responder);
    }
}

}